function zhufa_choose2()



	if flag.GetValue(13163)==1 then
		if flag.GetValue(10708)==1	and flag.GetValue(45000)==1	then
			flag.SetValue(45000,0)
		end
		if flag.GetValue(45000)==2	then
			flag.SetValue(45000,0)
		end	
		--effect.FadeOut(1,0.5)
		--player.SetPos(1111,3102)
		player.MoveTo(1089,3154,1)
		--effect.FadeIn(1,0.5)
		player.AttachNpc(161)
		player.Control(0)
		camera.ChangeCameraStaticEye(1158,115,3877)
		npc.FloatTo(161,768,10,3806)
		npc.CreateSE(161,3445)
		global.WaitForNpcPos3D(161,768,10,3806)
		effect.FadeOut(1,0.5)
		player.DetachNpc(161)
		map.Change(1,1086)
		camera.ChangeCameraFree()
		player.SetPos(8379,3399)
		npc.StopSE(161,3445)
		effect.FadeIn(1,0.5)
		global.EndScene()
		player.Control(1)

	elseif flag.GetValue(13163)==2 then
		player.MoveTo(1142,2963)
		global.EndScene()
		player.Control(1)
	end




end